> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

> Returns details of a transactions associated with the specified hash.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/transaction
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/transaction:
    get:
      tags:
        - Address Information
      summary: Get Transaction Details
      description: Returns details of a transactions associated with the specified hash.
      operationId: getTransaction
      parameters:
        - name: hash
          required: true
          in: query
          description: hash to search
          schema:
            type: string
      responses:
        '200':
          description: Transaction associated with a specific hash.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        network:
          type: string
        height:
          type: string
        index:
          type: number
        timestamp:
          type: string
        hash:
          type: string
        sender:
          type: string
        message_types:
          type: array
          items:
            type: string
        addresses:
          type: array
          items:
            type: string
        success:
          type: boolean
        gas:
          type: object
          properties:
            wanted:
              type: number
            used:
              type: number
          required:
            - wanted
            - used
        fees:
          type: object
          properties:
            amount:
              type: string
            denom:
              type: string
          required:
            - amount
            - denom
        amounts:
          type: array
          items:
            type: string
        memo:
          type: string
        signers:
          type: array
          items:
            type: string
        messages:
          type: array
          items:
            type: string
      required:
        - id
        - version
        - network
        - height
        - index
        - timestamp
        - hash
        - sender
        - message_types
        - addresses
        - success
        - gas
        - fees
        - amounts
        - memo
        - signers
        - messages
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````